RDMA_GET_DEVICES(3)

NAME
rdma_get_devices - Get a list of RDMA devices currently available.

SYNOPSIS
#include <rdma/rdma_cma.h>

struct ibv_context ** rdma_get_devices (int *num_devices);

ARGUMENTS

num_devices
    If non-NULL, set to the number of devices returned.

DESCRIPTION
Return a NULL-terminated array of opened RDMA devices. Callers can use this routine to allocate resources on specific RDMA devices that will be shared across multiple rdma_cm_id's.

RETURN VALUE
Returns an array of available RDMA devices, or NULL if the request fails. On failure, errno will be set to indicate the failure reason.

NOTES
The returned array must be released by calling rdma_free_devices. Devices remain opened while the librdmacm is loaded.

SEE ALSO
rdma_free_devices(3)